# This file created by conda-build 3.24.0
# meta.yaml template originally from:
# /Users/runner/work/1/s/recipes/anise_basil, last modified Wed Mar 27 02:54:09 2024
# ------------------------------------------------

package:
  name: anise_basil
  version: 1.2.0
source:
  - folder: lemon
    git_rev: 8785a8ccaca992fa9b3baf21e837e888d696a219
    sha256: bb1606b65282c2fcdcd5f49df380cf12a448fd47337c629badfd2b74eb60e5ad
    url: https://github.com/holtgrewe/lemon-mirror/archive/8785a8ccaca992fa9b3baf21e837e888d696a219.tar.gz
  - folder: seqan
    sha256: b0eb92aee26a87dada958f8130eb017e5ab41c72dca4c2b8fc4de1af52f6e92c
    url: https://github.com/seqan/seqan/archive/seqan-v2.0.1.tar.gz
  - sha256: 05e727da4b6b4716aa6505a527947738302b3334625de20e0cbd4b604b528a01
    url: https://github.com/seqan/anise_basil/archive/v1.2.0.tar.gz
build:
  number: '7'
  run_exports:
    - anise_basil >=1.2.0,<1.2.1.0a0
  string: py38hf38510b_7
requirements:
  build:
    - bzip2 1.0.8 h10d778d_5
    - c-ares 1.27.0 h10d778d_0
    - ca-certificates 2024.2.2 h8857fd0_0
    - cctools_osx-64 973.0.1 habff3f6_15
    - clang 15.0.7 hdae98eb_5
    - clang-15 15.0.7 default_h7151d67_5
    - clang_impl_osx-64 15.0.7 h03d6864_8
    - clang_osx-64 15.0.7 hb91bd55_8
    - clangxx 15.0.7 default_h7151d67_5
    - clangxx_impl_osx-64 15.0.7 h2133e9c_8
    - clangxx_osx-64 15.0.7 hb91bd55_8
    - cmake 3.29.0 h7c85d92_0
    - compiler-rt 15.0.7 ha38d28d_2
    - compiler-rt_osx-64 15.0.7 ha38d28d_2
    - icu 73.2 hf5e326d_0
    - krb5 1.21.2 hb884880_0
    - ld64_osx-64 609 h0fd476b_15
    - libclang-cpp15 15.0.7 default_h7151d67_5
    - libcurl 8.6.0 h726d00d_0
    - libcxx 16.0.6 hd57cbcb_0
    - libedit 3.1.20191231 h0678c8f_2
    - libev 4.33 h10d778d_2
    - libexpat 2.6.2 h73e2aa4_0
    - libiconv 1.17 hd75f5a5_2
    - libllvm15 15.0.7 hbedff68_4
    - libnghttp2 1.58.0 h64cf6d3_1
    - libssh2 1.11.0 hd019ec5_0
    - libuv 1.48.0 h67532ce_0
    - libxml2 2.12.6 hc0ae0f7_1
    - libzlib 1.2.13 h8a1eda9_5
    - llvm-tools 15.0.7 hbedff68_4
    - make 4.3 h22f3db7_1
    - ncurses 6.4.20240210 h73e2aa4_0
    - openssl 3.2.1 hd75f5a5_1
    - rhash 1.4.4 h0dc2134_0
    - sigtool 0.1.3 h88f4db0_0
    - tapi 1100.0.11 h9ce4665_0
    - xz 5.2.6 h775f41a_0
    - zstd 1.5.5 h829000d_0
  host:
    - boost-cpp 1.78.0 h2f2b2fd_4
    - bzip2 1.0.8 h10d778d_5
    - ca-certificates 2024.2.2 h8857fd0_0
    - icu 73.2 hf5e326d_0
    - libcxx 16.0.6 hd57cbcb_0
    - libffi 3.4.2 h0d85af4_5
    - libsqlite 3.45.2 h92b6c6a_0
    - libzlib 1.2.13 h8a1eda9_5
    - ncurses 6.4.20240210 h73e2aa4_0
    - openssl 3.2.1 hd75f5a5_1
    - pip 24.0 pyhd8ed1ab_0
    - python 3.8.19 h5ba8234_0_cpython
    - readline 8.2 h9e318b2_1
    - setuptools 69.2.0 pyhd8ed1ab_0
    - tk 8.6.13 h1abcd95_1
    - wheel 0.43.0 pyhd8ed1ab_0
    - xz 5.2.6 h775f41a_0
    - zlib 1.2.13 h8a1eda9_5
    - zstd 1.5.5 h829000d_0
  run:
    - libcxx >=14
    - libzlib >=1.2.13,<1.3.0a0
    - python >=3.8,<3.9.0a0
    - python_abi 3.8.* *_cp38
test:
  commands:
    - basil --help
    - anise --help
    - filter_basil.py --help
about:
  home: https://github.com/seqan/anise_basil
  license: BSD
  license_file: LICENSE
  summary: BASIL is a method to detect breakpoints for structural variants (including
    insertion breakpoints) from aligned paired HTS reads in BAM format. ANISE is a
    method for the assembly of large insertions from paired reads in BAM format and
    a list candidate insert breakpoints as generated by BASIL.
extra:
  additional-platforms:
    - linux-aarch64
  copy_test_source_files: true
  final: true
  identifiers:
    - doi:10.1093/bioinformatics/btv051
